package io.tswf.minecraft.blockventure.core.api.network.packet


import net.minecraft.entity.player.PlayerEntity
import net.minecraft.server.network.ServerPlayerEntity
import net.minecraft.server.world.ServerWorld
import net.minecraft.world.World

interface IPlayNetworkPacket {
    void readFromBytes(DataInputStream data)
    void writeToBytes(DataOutputStream data)

    default void handleOnClient(World localWorld, PlayerEntity localPlayer) { }
    default void handleOnServer(ServerWorld world, ServerPlayerEntity sender) {  }

    default boolean isBackgroundOnClient() { false }
    default boolean isBackgroundOnServer() { false }
}