package io.tswf.minecraft.blockventure.core.api.registry

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.gui.IGuiScreenProvider

import java.util.concurrent.ConcurrentHashMap

@CompileStatic
class GuiScreenRegistry {

    static Map<String, IGuiScreenProvider> registeredGuiScreenProviders = new ConcurrentHashMap<>()

    static IGuiScreenProvider registerGuiScreenProvider(IGuiScreenProvider guiScreenProvider, String id) {
        registeredGuiScreenProviders[id] = guiScreenProvider
    }
}
