package io.tswf.minecraft.blockventure.core.api.thread

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.server.StaticServerHolder
import net.minecraft.client.MinecraftClient

@CompileStatic
class MinecraftThreadsExecutor {

    static void runInMinecraftServerThread(Runnable run) {
        def server = StaticServerHolder.getRunningServer()

        if (!server.isOnThread()) {
            server.executeSync {
                run.run()
            }
        } else {
            run.run()
        }
    }

    static void runInMinecraftClientThread(Runnable run) {
        def mc = MinecraftClient.getInstance()

        if (!mc.isOnThread())  {
            mc.executeSync {
                run.run()
            }
        } else {
            run.run()
        }
    }

}
