package io.tswf.minecraft.blockventure.core.api.world.chunk.persist

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.world.chunk.persist.ChunkPersistService
import net.minecraft.server.world.ServerWorld
import net.minecraft.util.math.BlockPos
import net.minecraft.world.World

@CompileStatic
class ChunkPersistManager {

    static void persistChunkWithBlock(World world, BlockPos pos) {
        if (world instanceof ServerWorld) {
            def chunkPos = world.getChunk(pos).pos
            persistChunk(world, chunkPos.x, chunkPos.z)
        }
    }

    static void freeChunkWithBlock(World world, BlockPos pos) {
        if (world instanceof ServerWorld) {
            def chunkPos = world.getChunk(pos).pos
            freeChunk(world, chunkPos.x, chunkPos.z)
        }
    }
    
    static boolean isChunkWithBlockPersisted(World world, BlockPos pos) {
        if (world instanceof ServerWorld) {
            def chunkPos = world.getChunk(pos).pos
            return isChunkPersisted(world, chunkPos.x, chunkPos.z)
        }
        
        return false
    }
    
    static void persistChunk(World world, int chunkX, int chunkZ) {
        if (world instanceof ServerWorld) {
            ChunkPersistService.persistChunk(world, chunkX, chunkZ)
        }
    }

    static void freeChunk(World world, int chunkX, int chunkZ) {
        if (world instanceof ServerWorld) {
            ChunkPersistService.freeChunk(world, chunkX, chunkZ)
        }
    }

    static boolean isChunkPersisted(World world, int chunkX, int chunkZ) {
        if (world instanceof ServerWorld) {
            ChunkPersistService.isChunkPersisted(world, chunkX, chunkZ)
        }
    }

    static void persistChunkForBlock(World world, BlockPos pos) {
        if (world instanceof ServerWorld) {
            def chunkPos = world.getChunk(pos).pos
            ChunkPersistService.persistChunk(world, chunkPos.x, chunkPos.z)
        }
    }

    static boolean isChunkPersistedForBlock(World world, BlockPos pos) {
        if (world instanceof ServerWorld) {
            def chunkPos = world.getChunk(pos).pos
            return ChunkPersistService.isChunkPersisted(world, chunkPos.x, chunkPos.z)
        }
        
        return false
    }
}
