package io.tswf.minecraft.blockventure.core.groovyextensions

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.world.chunk.persist.ChunkPersistManager
import net.minecraft.util.math.BlockPos
import net.minecraft.world.World

@CompileStatic
class AdditionalWorldChunkPersistMethods {
    
    static void persistChunk(World self, int chunkX, int chunkZ) {
        ChunkPersistManager.persistChunk(self, chunkX, chunkZ)
    }
    
    static void freeChunk(World self, int chunkX, int chunkZ) {
        ChunkPersistManager.freeChunk(self, chunkX, chunkZ)
    }

    static void persistChunkWithBlock(World world, BlockPos pos) {
        ChunkPersistManager.persistChunkWithBlock(world, pos)
    }

    static void freeChunkWithBlock(World world, BlockPos pos) {
        ChunkPersistManager.freeChunkWithBlock(world, pos)
    }

    static boolean isChunkWithBlockPersisted(World world, BlockPos pos) {
        return ChunkPersistManager.isChunkWithBlockPersisted(world, pos)
    }
}
