package io.tswf.minecraft.blockventure.core.server

import groovy.transform.CompileStatic
import net.minecraft.server.MinecraftServer

import java.util.concurrent.atomic.AtomicReference

/**
 * Так как в одном приложении майна может работать одновременно только один сервер, то этот сервер можно положить в статический холдер
 */
@CompileStatic
class StaticServerHolder {
    public static AtomicReference<MinecraftServer> RUNNING_SERVER_HOLDER = new AtomicReference<>()

    static boolean hasRunningServer() {
        return RUNNING_SERVER_HOLDER.get() != null
    }

    static MinecraftServer getRunningServer() {
        return RUNNING_SERVER_HOLDER.get().ensureNotNull { new IllegalStateException("Server is not running now!") }
    }

    static void setRunningServer(MinecraftServer server) {
        RUNNING_SERVER_HOLDER.set(server)
    }
}
