package io.tswf.minecraft.blockventure.core.transmutation.expansion

import groovy.transform.CompileStatic
import io.tswf.minecraft.blockventure.core.api.world.storage.IWorldCustomDataStorage
import io.tswf.transmutations.common.annotation.ClassReference
import io.tswf.transmutations.expansion.annotations.Expand
import net.minecraft.server.world.ServerWorld

import java.util.concurrent.ConcurrentHashMap

@CompileStatic
@Expand(targets = @ClassReference(ServerWorld))
class ExpansionServerWorldCustomDataStorage implements IServerWorldCustomDataStorageAccess {

    Map<String, IWorldCustomDataStorage> blockventureCustomStorages = new ConcurrentHashMap<>()

    @Override
    Map<String, IWorldCustomDataStorage> getBlockventureCustomStorages() {
        return blockventureCustomStorages
    }
}

interface IServerWorldCustomDataStorageAccess {
    Map<String, IWorldCustomDataStorage> getBlockventureCustomStorages()
}
